Page MenuHomePhabricator

Call this->getRequest()->checkUrlExtension(); when doing pdf download in ElectronPdfExtension
Closed, ResolvedPublic

Description

  • As a precautionary measure, maybe call $this->getRequest()->checkUrlExtension(); when doing pdf download.

Event Timeline

Addshore created this task.Nov 2 2016, 8:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2016, 8:58 AM
Tobi_WMDE_SW moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Nov 2 2016, 10:09 AM

Change 319340 had a related patch set uploaded (by Tobias Gritschacher):
Call checkUrlExtension() when doing pdf download

https://gerrit.wikimedia.org/r/319340

Wondering if we should introduce a new error message just for this case.. and if yes, what it should be. Opinions @Addshore @WMDE-Fisch?

Tobi_WMDE_SW moved this task from Todo to Currently in sprint on the WMDE-QWERTY-Team board.

Change 319340 merged by jenkins-bot:
Call checkUrlExtension() when doing pdf download

https://gerrit.wikimedia.org/r/319340

WMDE-Fisch closed this task as Resolved.Nov 4 2016, 9:16 AM
WMDE-Fisch moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Nov 8 2016, 3:20 PM